Devuan bug report logs - #92
bugs.devuan.org: cannot file bugs against source packages

Package: bugs.devuan.org; Maintainer for bugs.devuan.org is Mark Hindley <mark@hindley.org.uk>;

Reported by: Paul Wise <pabs@debian.org>

Date: Mon, 29 May 2017 05:48:01 UTC

Severity: normal

Tags: ascii

Merged with 135

Done: Mark Hindley <mark@hindley.org.uk>

Full log


🔗 View this message in rfc822 format

MIME-Version: 1.0
X-Mailer: MIME-tools 5.509 (Entity 5.509)
X-Loop: owner@bugs.devuan.org
From: "Devuan bug Tracking System" <owner@bugs.devuan.org>
To: Mark Hindley <mark@hindley.org.uk>
Subject: bug#92: marked as done (bugs.devuan.org: cannot file bugs against
 source packages)
Message-ID: <handler.92.D92.158014452926218.ackdone@bugs.devuan.org>
References: <20200127165617.GB14807@hindley.org.uk>
 <1496036117.26012.8.camel@debian.org>
X-Devuan-PR-Message: closed 92
X-Devuan-PR-Package: bugs.devuan.org
X-Devuan-PR-Keywords: ascii
Reply-To: 92@bugs.devuan.org
Date: Mon, 27 Jan 2020 17:03:01 +0000
Content-Type: multipart/mixed; boundary="----------=_1580144581-26237-0"
[Message part 1 (text/plain, inline)]
Your message dated Mon, 27 Jan 2020 16:56:17 +0000
with message-id <20200127165617.GB14807@hindley.org.uk>
and subject line Re: bugs.devuan.org: cannot file bugs against source packages
has caused the Devuan bug report #92,
regarding bugs.devuan.org: cannot file bugs against source packages
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.devuan.org
immediately.)


-- 
92: https://bugs.devuan.org/cgi/bugreport.cgi?bug=92
Devuan Bug Tracking System
Contact owner@bugs.devuan.org with problems
[Message part 2 (message/rfc822, inline)]
From: Paul Wise <pabs@debian.org>
To: submit <submit@bugs.devuan.org>
Subject: bugs.devuan.org: cannot file bugs against source packages
Date: Mon, 29 May 2017 13:35:17 +0800
[Message part 3 (text/plain, inline)]
Package: bugs.devuan.org
Severity: normal

I tried to file a bug against the firejail source package, about not
being able to unpack the source package. I filed it against the source
package, using the Source pseudo-header but it was rejected with an
error saying that the Package pseudo-header Package is required. The
bug only affects the source package, not the binary package so it
doesn't make sense to file it against the source package.

This is the error message I got:

> Your message didn't have a Package: line at the start (in the
> pseudo-header following the real mail header), or didn't have a
> pseudo-header at all.

I've attached the full mail I got.

-- 
bye,
pabs

https://wiki.debian.org/PaulWise
[Message part 4 (message/rfc822, inline)]
From: owner@bugs.devuan.org (Devuan bug Tracking System)
To: Paul Wise <pabs@debian.org>
Subject: Message with no Package: tag cannot be processed! (firejail: source package cannot be unpacked: error: Could not read 54e8048d675d46b2524c2213cc000e2b475bc630)
Date: Mon, 29 May 2017 01:12:59 -0400
Your message didn't have a Package: line at the start (in the
pseudo-header following the real mail header), or didn't have a
pseudo-header at all.

This makes it much harder for us to categorise and deal with your
problem report. Please _resubmit_ your report to submit@bugs.devuan.org
and tell us which package the report is on. For help, check out
http://bugs.devuan.org//Reporting.html.

Your message was dated Mon, 29 May 2017 12:41:32 +0800 and had
message-id <1496032892.26012.4.camel@debian.org>
and subject firejail: source package cannot be unpacked: error: Could not read 54e8048d675d46b2524c2213cc000e2b475bc630.
The complete text of it is attached to this message.

If you need any assistance or explanation please contact me.

Devuan Bugs Owner
(administrator, Devuan bugs database)

---------------------------------------------------------------------------
Received: (at submit) by bugs.devuan.org; 29 May 2017 04:50:06 +0000
Return-Path: <pabs@debian.org>
Delivered-To: devuanbugs@dyne.org
Received: from mail.dyne.org [178.62.188.7]
	by fulcanelli with IMAP (fetchmail-6.3.26)
	for <debbugs@localhost> (single-drop); Mon, 29 May 2017 06:50:06 +0200 (CEST)
Received: from master.debian.org (master.debian.org [82.195.75.110])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by tupac2.dyne.org (Postfix) with ESMTPS id 857EC18E87D
	for <submit@bugs.devuan.org>; Mon, 29 May 2017 04:41:45 +0000 (UTC)
Received: from pabs by master.debian.org with local (Exim 4.84_2)
	(envelope-from <pabs@debian.org>)
	id 1dFCUy-0006aE-CJ
	for submit@bugs.devuan.org; Mon, 29 May 2017 04:41:44 +0000
Message-ID: <1496032892.26012.4.camel@debian.org>
Subject: firejail: source package cannot be unpacked: error: Could not read
 54e8048d675d46b2524c2213cc000e2b475bc630
From: Paul Wise <pabs@debian.org>
To: submit@bugs.devuan.org
Date: Mon, 29 May 2017 12:41:32 +0800
Organization: Debian
Content-Type: multipart/signed; micalg="pgp-sha256";
	protocol="application/pgp-signature"; boundary="=-9u2f5uSXv+m5dG+kPT04"
X-Mailer: Evolution 3.22.6-1 
Mime-Version: 1.0
X-Spam-Status: No, score=-2.3 required=5.0 tests=RCVD_IN_DNSWL_MED,
	RP_MATCHES_RCVD autolearn=disabled version=3.4.0
X-Spam-Checker-Version: SpamAssassin 3.4.0 (2014-02-07) on tupac2


--=-9u2f5uSXv+m5dG+kPT04
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Source: firejail
Version: 0.9.42~rc2-1
Severity: important

The firejail source package cannot be unpacked because the git bundle
does not include all the required objects for the tree.

$ dget -qux http://packages.devuan.org/devuan/pool/main/f/firejail/firejail=
_0.9.42~rc2-1.dsc
dpkg-source: info: extracting firejail in firejail-0.9.42~rc2
dpkg-source: info: cloning firejail_0.9.42~rc2-1.git
error: Could not read 54e8048d675d46b2524c2213cc000e2b475bc630
fatal: Failed to traverse parents of commit afe0e236a855b8917c1f4c1bc0273d2=
7dfabda62
fatal: remote did not send all necessary objects
dpkg-source: error: git bundle gave error exit status 128

--=20
bye,
pabs

https://wiki.debian.org/PaulWise

--=-9u2f5uSXv+m5dG+kPT04
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEYQsotVz8/kXqG1Y7MRa6Xp/6aaMFAlkrpn0ACgkQMRa6Xp/6
aaMpCxAAiHMBZiqsmucLftcIgTQXIQozrTaFPhL0sjQRDrmryXzzBm8P6T3EIExH
DOfIWv9511dP4OiwDycEyMxTA7ERIoqlOccMLiz51Seex9CS8Y+PEM2DHRkFopyl
Ft1X5YSV1MozgRdlP8wM9lX0o3K/T31dtuXL7BKwe35E66GhWgxyc7pt0+yGOlDs
59TKwtfvAxMSC3S0yBN+hzwJNONtN+1jolc8M3BT9vf2SqHeQpcF6mFdKDHEXPdn
49dyAgSn36Ywnd9dbDItC4bLmNxYEYjmoI5O+4C3MTisVHF6yTjDupspT/C9UZxS
2wdvGWyUzOLYbuNUGTJ6d9WIdaBys1WwJy1837EEoQgPjnuE7gOcdrVdm862TLmA
D/jqpiT1DpcvgPjWzTjlLSFrAgWhm7B7VbRJJfII7uu/2qwl0iFD+UD/0ZvTbLa0
ymLgtrHvD1yDtPtFYgm0gjN1BUofcx0Rsfg3mrE8wDRFKScwdFsueLkLHFGTxlIf
HStjewnk7liVzons97iMwLKo1LzjkKku5n6tTNqrDE7hjpQDwH8d2CkFPRCELijG
UTS985CBHZuZ9JKfxhp/bPoXzvGiLzCEshzTxxWCwkr0nryb7k6ltn736citcgko
+tfrxoDe6rfPx8hv42e24TAqsUJNJwf0MqQO2Qa/MFsAoExi9o0=
=Dx+7
-----END PGP SIGNATURE-----

--=-9u2f5uSXv+m5dG+kPT04--
[signature.asc (application/pgp-signature, inline)]
[Message part 6 (message/rfc822, inline)]
From: Mark Hindley <mark@hindley.org.uk>
To: 92-done@bugs.devuan.org
Subject: Re: bugs.devuan.org: cannot file bugs against source packages
Date: Mon, 27 Jan 2020 16:56:17 +0000
Paul and John,

I have tested src:package bug sumission today and it is working 
normally. So closing as fixed, possibly with the upgrade to debbugs 
2.6.0.

Thanks.

Mark

Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Fri Oct 30 11:19:23 2020;